﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class FlashScript : MonoBehaviour
{
    private Image image;
    [SerializeField]
    GameObject attachedObject;
    Renderer attachedRenderer;
    private void Start()
    {
        image = gameObject.GetComponent<Image>();
        image.color = new Color32(248, 255, 0, 0);
        if (attachedObject != null)
        {
            attachedRenderer = attachedObject.GetComponent<Renderer>();
        }
    }
    // Update is called once per frame
    void Update()
    {
        if(attachedObject != null)
        {
            attachedRenderer.material.color = new Color32(248, 255, (byte)((100 * Mathf.Sin(Time.time * 2)) + 155), 255);
        }
        else 
        {
            image.color = new Color32(248, 255, 0, (byte)((50 * Mathf.Sin(Time.time * 2)) + 80));
        }
    }
}
