﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CameraMove : MonoBehaviour
{
    private float moveAmount;
    Vector3 position;
    float maxValue;
    float minValue;
    // Start is called before the first frame update
    void Start()
    {
        maxValue = 4.0f;
        minValue = 1.0f;
        moveAmount = 0.1f;

    }

    // Update is called once per frame
    void Update()
    {
        position = gameObject.transform.position;
        if (Input.GetKey(KeyCode.UpArrow))
        {
            position.z += moveAmount;
        } 
        else if(Input.GetKey(KeyCode.DownArrow))
        {
            position.z -= moveAmount;
        }
        else if(Input.GetKey(KeyCode.RightArrow))
        {
            position.x += moveAmount;
        }
        else if(Input.GetKey(KeyCode.LeftArrow))
        {
            position.x -= moveAmount;
        }
        if(Input.mouseScrollDelta.y != 0) 
        {
            Camera.main.orthographicSize += Input.mouseScrollDelta.y/20;
        }
        if(Camera.main.orthographicSize < minValue)
        {
            Camera.main.orthographicSize = minValue;
        }
        else if(Camera.main.orthographicSize > maxValue)
        {
            Camera.main.orthographicSize = maxValue;
        }
        gameObject.transform.position = position;
    }
}
